## List Organization Users

**get** `/api/v1/organizations/{organization_id}/users`

Get all users in an organization.

### Path Parameters

- `organization_id: string`

### Cookie Parameters

- `session: optional string`

### Returns

- `id: string`

  Unique identifier

- `organization_id: string`

  The organization's ID.

- `roles: array of UserOrganizationRole`

  The roles of the user in the organization.

  - `id: string`

    Unique identifier

  - `organization_id: string`

    The organization's ID.

  - `role: Role`

    The role.

    - `id: string`

      Unique identifier

    - `name: string`

      A name for the role.

    - `permissions: array of object { id, access, description, 3 more }`

      The actual permissions of the role.

      - `id: string`

        Unique identifier

      - `access: boolean`

        Whether the permission is granted or not.

      - `description: string`

        A description for the permission.

      - `name: string`

        A name for the permission.

      - `created_at: optional string`

        Creation datetime

      - `updated_at: optional string`

        Update datetime

    - `created_at: optional string`

      Creation datetime

    - `updated_at: optional string`

      Update datetime

  - `user_id: string`

    The user's ID.

  - `created_at: optional string`

    Creation datetime

  - `project_ids: optional array of string`

    The project ID scope.

  - `updated_at: optional string`

    Update datetime

- `created_at: optional string`

  Creation datetime

- `email: optional string`

  The user's email address.

- `invited_by_user_email: optional string`

  The email address of the user who added the user to the organization.

- `invited_by_user_id: optional string`

  The user ID of the user who added the user to the organization.

- `pending: optional boolean`

  Whether the user's membership is pending account signup.

- `updated_at: optional string`

  Update datetime

- `user_id: optional string`

  The user's ID.

### Example

```http
curl https://api.cloud.llamaindex.ai/api/v1/organizations/$ORGANIZATION_ID/users \
    -H "Authorization: Bearer $LLAMA_CLOUD_API_KEY"
```

#### Response

```json
[
  {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "organization_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "roles": [
      {
        "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
        "organization_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
        "role": {
          "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
          "name": "x",
          "permissions": [
            {
              "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
              "access": true,
              "description": "description",
              "name": "x",
              "created_at": "2019-12-27T18:11:19.117Z",
              "updated_at": "2019-12-27T18:11:19.117Z"
            }
          ],
          "created_at": "2019-12-27T18:11:19.117Z",
          "updated_at": "2019-12-27T18:11:19.117Z"
        },
        "user_id": "user_id",
        "created_at": "2019-12-27T18:11:19.117Z",
        "project_ids": [
          "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
        ],
        "updated_at": "2019-12-27T18:11:19.117Z"
      }
    ],
    "created_at": "2019-12-27T18:11:19.117Z",
    "email": "dev@stainless.com",
    "invited_by_user_email": "dev@stainless.com",
    "invited_by_user_id": "invited_by_user_id",
    "pending": true,
    "updated_at": "2019-12-27T18:11:19.117Z",
    "user_id": "user_id"
  }
]
```
